# $Id: startup-notification.spec,v 1.3 2003/10/19 01:09:00 rexdieter Exp $

## kde-redhat macros
%define rhversion %(perl -pe '/(\\d+)\\.?(\\d)?/; $_="$1".($2||0)' /etc/redhat-release)

%define fedora_release .fdr.0%{!?_without_dist:.rh%{rhversion}}

Summary: Library for tracking application startup
Name: 	 startup-notification
Version: 0.5
Release: 1%{?fedora_release}
URL:	 http://www.freedesktop.org/software/startup-notification/
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: 	 System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package devel
Summary: Development portions of startup-notification
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Header files and static libraries for libstartup-notification.


%prep
%setup -q


%build
%configure

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
## FIXME add when upstream tarball is fixed to contain docs 
## doc/startup-notification.txt
%doc AUTHORS COPYING ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Sat Oct 18 2003 Rex Dieter <rexdieter at sf.net> 0.5-1.fdr.0
- fedora'ize

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 0.5-1
- 0.5

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


